<?php


return  
    [
        'model' => [
            'model' => \Beo\Career\Models\JobProfile::class,
            'repository' => \Beo\Career\Repositories\Eloquent\JobProfileRepository::class,
            'table' => 'job_profiles',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'job_id',  'profile_id'],
            'translatables' => [],
            'upload_folder' => 'career/job_profile',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "job_id" => [
                "key" => "job_id", 
                "type" => "text", 
                "label" => 'career::job_profile.label.job_id', 
                'sort' => true,
                'roles' => [],
            ],
            "profile_id" => [
                "key" => "profile_id", 
                "type" => "text", 
                "label" => 'career::job_profile.label.profile_id', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'job_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'career::job_profile.label.job_id',
                "placeholder" => 'career::job_profile.placeholder.job_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'profile_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'career::job_profile.label.profile_id',
                "placeholder" => 'career::job_profile.placeholder.profile_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'career/job_profile/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'career/job_profile/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'career/job_profile',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'career/job_profile',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'career/job_profile',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'career/job_profile',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'career::job_profile.label.created_at',
            'name' => 'career::job_profile.label.name',
            'status' => 'career::job_profile.label.status',
        ],
        'groups' => [
            'main' => 'career::job_profile.groups.main',
            'details' => 'career::job_profile.groups.details',
            'images' => 'career::job_profile.groups.images',
            'settings' => 'career::job_profile.groups.settings',
        ],
        'controller' => [
            'provider' => 'Beo',
            'package' => 'Career',
            'module' => 'JobProfile',
        ],
    ];
