<?php


return  
    [
        'model' => [
            'model' => \Beo\Career\Models\Profile::class,
            'repository' => \Beo\Career\Repositories\Eloquent\ProfileRepository::class,
            'table' => 'profiles',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'title',  'name',  'email',  'phone',  'gender',  'dob',  'current_location',  'relocate_status',  'experience',  'notice_period',  'current_salary',  'expected_salary',  'notice_period_buyout',  'skills',  'links',  'know_about_beo',  'resume',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'career/profile',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "title" => [
                "key" => "title", 
                "type" => "text", 
                "label" => 'career::profile.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'career::profile.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "email" => [
                "key" => "email", 
                "type" => "text", 
                "label" => 'career::profile.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            "phone" => [
                "key" => "phone", 
                "type" => "text", 
                "label" => 'career::profile.label.phone', 
                'sort' => true,
                'roles' => [],
            ],
            "gender" => [
                "key" => "gender", 
                "type" => "text", 
                "label" => 'career::profile.label.gender', 
                'sort' => true,
                'roles' => [],
            ],
            "dob" => [
                "key" => "dob", 
                "type" => "text", 
                "label" => 'career::profile.label.dob', 
                'sort' => true,
                'roles' => [],
            ],
            "current_location" => [
                "key" => "current_location", 
                "type" => "text", 
                "label" => 'career::profile.label.current_location', 
                'sort' => true,
                'roles' => [],
            ],
            "relocate_status" => [
                "key" => "relocate_status", 
                "type" => "text", 
                "label" => 'career::profile.label.relocate_status', 
                'sort' => true,
                'roles' => [],
            ],
            "experience" => [
                "key" => "experience", 
                "type" => "text", 
                "label" => 'career::profile.label.experience', 
                'sort' => true,
                'roles' => [],
            ],
            "notice_period" => [
                "key" => "notice_period", 
                "type" => "text", 
                "label" => 'career::profile.label.notice_period', 
                'sort' => true,
                'roles' => [],
            ],
            "current_salary" => [
                "key" => "current_salary", 
                "type" => "text", 
                "label" => 'career::profile.label.current_salary', 
                'sort' => true,
                'roles' => [],
            ],
            "expected_salary" => [
                "key" => "expected_salary", 
                "type" => "text", 
                "label" => 'career::profile.label.expected_salary', 
                'sort' => true,
                'roles' => [],
            ],
            "notice_period_buyout" => [
                "key" => "notice_period_buyout", 
                "type" => "text", 
                "label" => 'career::profile.label.notice_period_buyout', 
                'sort' => true,
                'roles' => [],
            ],
            "know_about_beo" => [
                "key" => "know_about_beo", 
                "type" => "text", 
                "label" => 'career::profile.label.know_about_beo', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'title' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'career::profile.label.title',
                "placeholder" => 'career::profile.placeholder.title',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'career::profile.label.name',
                "placeholder" => 'career::profile.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'email' => [
                "element" => 'email',
                "type" => 'email',
                "label" => 'career::profile.label.email',
                "placeholder" => 'career::profile.placeholder.email',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'career::profile.label.phone',
                "placeholder" => 'career::profile.placeholder.phone',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'gender' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'career::profile.label.gender',
                "placeholder" => 'career::profile.placeholder.gender',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'dob' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'career::profile.label.dob',
                "placeholder" => 'career::profile.placeholder.dob',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'current_location' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'career::profile.label.current_location',
                "placeholder" => 'career::profile.placeholder.current_location',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'relocate_status' => [
                "element" => 'select',
                "type" => 'select',
                "label" => 'career::profile.label.relocate_status',
                "placeholder" => 'career::profile.placeholder.relocate_status',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'experience' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'career::profile.label.experience',
                "placeholder" => 'career::profile.placeholder.experience',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'notice_period' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'career::profile.label.notice_period',
                "placeholder" => 'career::profile.placeholder.notice_period',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'current_salary' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'career::profile.label.current_salary',
                "placeholder" => 'career::profile.placeholder.current_salary',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'expected_salary' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'career::profile.label.expected_salary',
                "placeholder" => 'career::profile.placeholder.expected_salary',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'notice_period_buyout' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'career::profile.label.notice_period_buyout',
                "placeholder" => 'career::profile.placeholder.notice_period_buyout',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'skills' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'career::profile.label.skills',
                "placeholder" => 'career::profile.placeholder.skills',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'links' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'career::profile.label.links',
                "placeholder" => 'career::profile.placeholder.links',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'know_about_beo' => [
                "element" => 'checkboxes',
                "type" => 'checkboxes',
                "label" => 'career::profile.label.know_about_beo',
                "placeholder" => 'career::profile.placeholder.know_about_beo',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'resume' => [
                "element" => 'file',
                "type" => 'file',
                "label" => 'career::profile.label.resume',
                "placeholder" => 'career::profile.placeholder.resume',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'career/profile/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'career/profile/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'career/profile',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'career/profile',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'career/profile',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'career/profile',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'career::profile.label.created_at',
            'name' => 'career::profile.label.name',
            'status' => 'career::profile.label.status',
        ],
        'groups' => [
            'main' => 'career::profile.groups.main',
            'details' => 'career::profile.groups.details',
            'images' => 'career::profile.groups.images',
            'settings' => 'career::profile.groups.settings',
        ],
        'controller' => [
            'provider' => 'Beo',
            'package' => 'Career',
            'module' => 'Profile',
        ],
    ];
