<?php

namespace Beo\Career\Seeders;

use DB;
use Illuminate\Database\Seeder;

class JobProfileTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('job_profiles')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'career.job_profile.view',
                'name'      => 'View JobProfile',
            ],
            [
                'slug'      => 'career.job_profile.create',
                'name'      => 'Create JobProfile',
            ],
            [
                'slug'      => 'career.job_profile.edit',
                'name'      => 'Update JobProfile',
            ],
            [
                'slug'      => 'career.job_profile.delete',
                'name'      => 'Delete JobProfile',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/career/job_profile',
                'name'        => 'JobProfile',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/career/job_profile',
                'name'        => 'JobProfile',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'job_profile',
                'name'        => 'JobProfile',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Career',
                'module'    => 'JobProfile',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'career.job_profile.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
