<?php

namespace Beo\Career\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Profile policy
        \Beo\Career\Repositories\Eloquent\ProfileRepository::class 
        => \Beo\Career\Policies\ProfilePolicy::class,// Bind JobProfile policy
        \Beo\Career\Repositories\Eloquent\JobProfileRepository::class 
        => \Beo\Career\Policies\JobProfilePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
